#### Useful macros
# Attempt to avoid disaster
%define clean_build_root if test -O "%{buildroot}" -a "%{buildroot}" != "/" -a "%{buildroot}" != "$HOME"; then %{__rm} -rf %{buildroot}; fi
# To delete directory where compilation takes place
%define clean_build_dir %{__rm} -rf %{buildsubdir}
%define python_site %(python -c "import sys ; print '%s/lib/python%s' % (sys.exec_prefix,sys.version[:3])")
%define python_version %(python -c "import sys ; print sys.version[:3]")

#### Header variables
%define name PyGtkScintilla
%define version 0.8.2
%define release 1.python%{python_version}
%define serial 1

#### Header
Summary: PyGtkScintilla - A Python wrapper for GtkScintilla
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: Applications/Editors
Vendor: Michele Campeotto <micampe@f2s.com>
#Packager: %packager
Url: www.moleskine.f2s.com
Source: %{name}-%{version}.tar.gz
Prefix: %{_prefix}
Requires: python
Requires: GtkScintilla >= 0.8.1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#### Description
%description
This is a Pyhton wrapper for the widget GtkScintilla, see its documentation
for more info.

#### Prep
%prep
%setup -q

#### Build
%build
make

#### Install
%install
%clean_build_root
make DESTDIR=${RPM_BUILD_ROOT} install

#### Clean
%clean
%clean_build_root
%clean_build_dir

#### Post
# Nothing to do

#### Files
%files
%defattr(-, root, root)
%doc COPYING README 
%{python_site}/site-packages/*

#### Changelog
%changelog

* Thu Jun  7 2001 Sourav K. Mandal <Sourav.Mandal@ikaran.com>
- Made indipendent from Python version

* Fri Feb 16 2001 Sourav K. Mandal <Sourav.Mandal@ikaran.com>
- First incarnation

